%define upstream_name    RDF-Trine
%define upstream_version 1.019

%global __requires_exclude perl\\(RDF::Redland\\)

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Framework to parse, serialize and store RDF
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/RDF/%{upstream_name}-%{upstream_version}.tar.gz
# Remove unwanted build script features
Patch0:     RDF-Trine-1.016-Disable-release-code.patch
# Load only installed database backends. Otherwise we would have to require
# all of them.
Patch1:     RDF-Trine-1.014-Make-database-backends-optional.patch

# Run-time:

# Cache::LRU not used at tests

# DBD::mysql not used at tests
# DBD::Pg not used at tests

# XML::LibXML not used directly, but XML::Namespace is unversioned

# Optional run-time:
# Data::UUID and UUID::Tiny
# Term::ANSIColor
# Tests:

BuildRequires: perl(Algorithm::Combinatorics)
BuildRequires: perl(Cache::LRU)
BuildRequires: perl(DBD::SQLite) >= 1.140.0
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Connector)
BuildRequires: perl(Data::UUID)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Digest::SHA)
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(HTTP::Negotiate)
BuildRequires: perl(IRI)
BuildRequires: perl(JSON) >= 2.0.0
BuildRequires: perl(LWP::UserAgent)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Math::BigInt)
BuildRequires: perl(Module::Load::Conditional) >= 0.380.0
BuildRequires: perl(Moose) >= 2.0.0
BuildRequires: perl(MooseX::ArrayRef)
BuildRequires: perl(Scalar::Util) >= 1.240.0
BuildRequires: perl(Set::Scalar)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::JSON)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::CSV_XS)
BuildRequires: perl(Text::Table)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(URI) >= 1.520.0
BuildRequires: perl(XML::CommonNS) >= 0.40.0
BuildRequires: perl(XML::Namespace)
BuildRequires: perl(XML::SAX) >= 0.960.0
BuildArch:  noarch

%description
RDF::Trine provides an Resource Descriptive Framework (RDF) with an
emphasis on extensibility, API stability, and the presence of a test suite.
The package consists of several components:

* * RDF::Trine::Model - RDF model providing access to a triple store. This
  module would typically be used to access an existing store by a developer
  looking to "Just get stuff done."

* * RDF::Trine::Parser - RDF parsers for various serialization formats
  including RDF/XML, Turtle, RDFa, and RDF/JSON.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc META.yml MYMETA.yml README SIGNATURE examples
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/srx2csv
/usr/bin/srx2table


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.19.0-3.mga8
+ Revision: 1506109
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.19.0-2.mga7
+ Revision: 1285910
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 shlomif <shlomif> 1.19.0-1.mga7
+ Revision: 1192744
- New version 1.019

* Tue Oct 03 2017 tv <tv> 1.18.0-2.mga7
+ Revision: 1166396
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 1.18.0-1.mga7
+ Revision: 1161676
- new release
- restore perl-RDF-Trine
+ sander85 <sander85>
- New version doesn't build

* Sun Jun 19 2016 pterjan <pterjan> 1.14.0-3.mga6
+ Revision: 1032719
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.14.0-2.mga6
+ Revision: 967859
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 1.14.0-1.mga6
+ Revision: 850408
- update to 1.014
+ shlomif <shlomif>
- New version 1.011 with requires blacklist to fix install.

* Wed Oct 15 2014 umeabot <umeabot> 1.9.0-3.mga5
+ Revision: 747520
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 1.9.0-1.mga5
+ Revision: 660552
- update to 1.009

* Wed May 21 2014 shlomif <shlomif> 1.8.0-1.mga5
+ Revision: 624618
- update to 1.008

* Sat Oct 19 2013 umeabot <umeabot> 1.7.0-2.mga4
+ Revision: 530262
- Mageia 4 Mass Rebuild

* Sun Jul 21 2013 sander85 <sander85> 1.7.0-1.mga4
+ Revision: 456954
- update to 1.007

* Thu Jul 04 2013 shlomif <shlomif> 1.6.0-1.mga4
+ Revision: 450241
- New version 1.006

* Sat Jun 01 2013 shlomif <shlomif> 1.5.0-1.mga4
+ Revision: 434090
- New version 1.005

* Sun Jan 13 2013 umeabot <umeabot> 1.3.0-2.mga3
+ Revision: 372181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 23 2012 shlomif <shlomif> 1.3.0-1.mga3
+ Revision: 334222
- imported package perl-RDF-Trine


* Sun Dec 23 2012 cpan2dist 1.003-1mga
- initial mageia release, generated with cpan2dist
